%bcond_without check

%global goipath         github.com/fernet/fernet-go
%global commit          eff2850e60014b3643d850a51c69482d3a8352b1

%gometa

%global common_description %{expand:
Fernet takes a user-provided *message* (an arbitrary sequence of bytes), a key
(256 bits), and the current time, and produces a token, which contains the
message in a form that can't be read or altered without the key.}

%global golicenses      License
%global godocs          Readme

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Generate and verify HMAC-based authentication tokens

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%doc Readme
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
